Get deployment logs
GET
/api/v1/deployments/{id}/logs
const url = 'https://api.deploybase.eu/api/v1/api/v1/deployments/example/logs';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/api/v1/deployments/example/logs \ --header 'Authorization: <Authorization>'Returns build logs for a specific deployment
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” id
required
string
Deployment ID (UUID)
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
branch
string
build_finished_at
string
build_log
string
build_started_at
string
commit_hash
string
commit_message
string
created_at
string
created_by_email
string
deployed_at
string
file_count
integer
has_custom_404
boolean
has_spa_fallback
boolean
id
string
is_preview
boolean
preview_url
string
project_id
string
redirect_rules
Array<object>
object
force
boolean
from
string
status
integer
to
string
status
string
team_id
string
total_bytes
integer
updated_at
string
url
string
Example
{ "data": { "status": "pending" }}Unauthorized
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Not Found
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}